%% FUNCIÓN CORRECIÓN VALORES INFINITOS
%<corValInf>

%PARÁMETROS DE RETORNO:
%vUFMC_PSDc: Vector a transmitir UFMC con corrección de valores infinitos

%PARÁMETROS DE INGRESO:
%vUFMC_PSD: Vector obtenido a transmitir UFMC sin corrección de valores
%infinitos

function vUFMC_PSDc=corValInf(vUFMC_PSD)

for i=1:length(vUFMC_PSD)
    if i==1 || i==length(vUFMC_PSD)
        if vUFMC_PSD(i)<eps
            vUFMC_PSDc(i)=vUFMC_PSD(i-1);
        else
            vUFMC_PSDc(i)=vUFMC_PSD(i);
        end
    elseif i>1 && i<length(vUFMC_PSD)
        if vUFMC_PSD(i)<eps
            vUFMC_PSDc(i)=mean([vUFMC_PSD(i-1),vUFMC_PSD(i+1)]);
        else
            vUFMC_PSDc(i)=vUFMC_PSD(i);
        end
    end
end

vUFMC_PSDc=vUFMC_PSDc';

end



